[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

pyppd_0.4.9-7_amd64.changes ACCEPTED into experimental

  to main/p/pyppd/pyppd_0.4.9-7.debian.tar.gz
  to main/p/pyppd/pyppd_0.4.9-7.dsc
  to main/p/pyppd/pyppd_0.4.9-7_all.deb

pyppd (0.4.9-7) experimental; urgency=low
  * Add 00git_improve_runtime_error_handling.patch: Improved runtime error
    handling. Patch taken from upstream git head.
  * Add 01_python3_compat.patch: Port code to also work with Python 3. It
    still works with Python2 as well.
  * Switch to Python 3:
    - Add 02_use_python3.patch: Use python3 in the program, template, and
    - debian/control: Move to python3-all build dependency, and drop
      XS-Python-Version (as this works with all python 3 versions).
    - debian/rules: Build with "python3", and override auto_build and
      auto_install command (until debhelper supports autobuilding python3
      modules, see Debian #597105).
    - debian/dh_pyppd: Generate "python3" dependency.

Override entries for your package:
pyppd_0.4.9-7.dsc - source python
pyppd_0.4.9-7_all.deb - extra python

Announcing to debian-experimental-changes@lists.debian.org
Announcing to debian-devel-changes@lists.debian.org

Thank you for your contribution to Debian.

Reply to: